Add publisher
This endpoint adds publisher.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/publisher/add| Parameter | Type | Description | Requirement |
|---|---|---|---|
string | Publisher’s email. | required | |
| Name | string | Publisher’s name. | required |
| Description | string | Publisher’s description. | optional |
| Website | string | Publisher’s website. | optional |
| Country | string | Publisher’s country. It must be a ISO-3166-1-alpha-2 country code. See Countries for a list of available countries. | required |
| City | string | Publisher’s city. | optional |
| ZipCode | string | Publisher’s zip code. | optional |
| Address | string | Publisher’s address. | optional |
| Phone | string | Publisher’s phone. | optional |
| MsgApp | string | Messaging application: Teams, Telegram or WhatsApp. | optional |
| MsgAccount | string | Messaging account name on Messaging application. | optional |
| PlatformDomain | string | The canonical domain name of the advertising system of the publisher. RTB EP of the publisher will try to inherit this value on creation. | optional |
| SellersJsonDomain | string | The canonical domain where advertising system of the publisher hosts its sellers.json file. Usually it is the same domain as Platform Domain. RTB EP of the publisher will try to inherit this value on creation. | optional |
| Username | string | Publisher’s username. It is required for fetching statistics through stats API or CSV export. | required |
| SellerType | int | Type of the Publisher’s seller account that will be displayed in sellers.json. 1 - Publisher, 2 - Intermediary, 3 - Both. | optional |
| SellerId | string | Seller ID of the publisher that will be displayed as “seller_id” in sellers.json and “sid” in schain. If blank, ID of the publisher will be used. | optional |
{ "Publisher": { "Mail": "publisher@mail.com", "Name": "Publisher", "Description": "Publisher desc", "Website": "www.publisher.com", "Country": "US", "City": "New York", "ZipCode": "123456", "Address": "123 Street", "Phone": "+11111111111", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "PlatformDomain": "google.com", "SellersJsonDomain": "realtimebidding.google.com", "Username": "publisher1", "SellerType": 2, "SellerId": "" }}Response
Section titled “Response”{ "Status": "Ok", "Publisher": { "Id": 15, "TeamId": 1, "Mail": "publisher@mail.com", "Name": "Publisher", "Description": "Publisher desc", "Website": "www.publisher.com", "Country": "US", "City": "New York", "ZipCode": "123456", "Address": "123 Street", "Phone": "+11111111111", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "PlatformDomain": "google.com", "SellersJsonDomain": "realtimebidding.google.com", "Username": "publisher1", "SellerType": 2, "SellerId": "", "StatsAuth": "7sdd23", "StatsByDateCsv": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}", "StatsByDateJson": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}&type=json", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "BannerEpsCount": 0, "VastTagsCount": 0, "RtbEpsCount": 0, "PopFeedsCount": 1 }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |